FIX::Log Class Referenceabstract

This interface must be implemented to log messages and events. More...

`#include <Log.h>`

Inheritance diagram for FIX::Log:
[legend]

## Public Member Functions

virtual | ~Log ()
virtual void | clear ()=0
virtual void | backup ()=0
virtual void | onIncoming (const std::string &)=0
virtual void | onOutgoing (const std::string &)=0
virtual void | onEvent (const std::string &)=0

## Detailed Description

This interface must be implemented to log messages and events.

Definition at line 81 of file Log.h.

## Constructor & Destructor Documentation

## ~Log()

virtual FIX::Log::~Log | ( |  | ) |

inline virtual

Definition at line 84 of file Log.h.

{}

## Member Function Documentation

## backup()

virtual void FIX::Log::backup | ( |  | ) |

pure virtual

Implemented in FIX::SessionState, FIX::ScreenLog, FIX::NullLog, and FIX::FileLog.

Referenced by FIX::SessionState::backup().

## clear()

virtual void FIX::Log::clear | ( |  | ) |

pure virtual

Implemented in FIX::SessionState, FIX::ScreenLog, FIX::NullLog, and FIX::FileLog.

Referenced by FIX::SessionState::clear().

## onEvent()

virtual void FIX::Log::onEvent | ( | const std::string & |  | ) |

pure virtual

Implemented in FIX::SessionState, FIX::ScreenLog, FIX::NullLog, and FIX::FileLog.

Referenced by FIX::SocketInitiator::doConnect(), FIX::ThreadedSocketInitiator::doConnect(), FIX::SocketAcceptor::onConnect(), FIX::SessionState::onEvent(), FIX::SocketConnection::read(), FIX::ThreadedSocketConnection::read(), and FIX::ThreadedSocketConnection::setSession().

## onIncoming()

virtual void FIX::Log::onIncoming | ( | const std::string & |  | ) |

pure virtual

Implemented in FIX::SessionState, FIX::ScreenLog, FIX::NullLog, and FIX::FileLog.

Referenced by FIX::SessionState::onIncoming(), FIX::SocketConnection::read(), and FIX::ThreadedSocketConnection::setSession().

## onOutgoing()

virtual void FIX::Log::onOutgoing | ( | const std::string & |  | ) |

pure virtual

Implemented in FIX::SessionState, FIX::ScreenLog, FIX::NullLog, and FIX::FileLog.

Referenced by FIX::SessionState::onOutgoing().

The documentation for this class was generated from the following file:

- Log.h